Bug 1122717 - [GSS] (6.4.0) PicketLink AbstractIDPValve does not trigger the next valve in the pipeline
Summary: [GSS] (6.4.0) PicketLink AbstractIDPValve does not trigger the next valve in ...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Security
Version: 6.4.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: DR7
: EAP 6.4.0
Assignee: Peter Skopek
QA Contact: Ondrej Kotek
URL:
Whiteboard:
Depends On:
Blocks: 1116146 1123426 1155424
TreeView+ depends on / blocked
 
Reported: 2014-07-23 21:16 UTC by Derek Horton
Modified: 2019-08-19 12:45 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 1116146
Environment:
Last Closed: 2019-08-19 12:45:08 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
JBoss Issue Tracker PLINK-516 Major Resolved PicketLink AbstractIDPValve does not trigger the next valve in the pipeline 2017-07-19 12:21:23 UTC
JBoss Issue Tracker PLINK-546 Major Resolved PicketLink AbstractIDPValve breaks clustered session replication 2017-07-19 12:21:24 UTC
JBoss Issue Tracker PLINK-558 Major Resolved AbstractIDPValve should always invoke next valve 2017-07-19 12:21:23 UTC

Comment 2 Kabir Khan 2014-10-03 16:21:59 UTC
I believe this should be fixed by the SP11 upgrade in 1123426

Comment 3 Ondrej Kotek 2014-10-10 10:42:43 UTC
Fix for PLINK-516 does not work for me. For JBoss EAP 6.4.0.DR4, with RequestDumperValve and ExtendedFormAuthenticator added, requests are dumped to log twice (before login twice, after login twice, no dumps for JBoss EAP 6.3.0 after login), request at base URI is not dumped in both cases (before and after login)

It looks like
  * the bug emerged by adding ExtendedFormAuthenticator
  * the patch caused invoking RequestDumperValve twice (like invoking the test filter for PLINK-529 in BZ 1131612).

See BZ 1133099. Backport of PLINK-558 helped.

Comment 4 Ondrej Kotek 2014-10-13 09:51:42 UTC
BZ 1123426 (Upgrade PicketLink from 2.5.3.SP10-redhat-1 to 2.5.3.SP11-x) is verified but included commits are in wrong order. PLINK-558 commit is the important one and should be placed as the last one.

Comment 6 Ondrej Kotek 2014-10-29 11:16:11 UTC
Verified for JBoss EAP 6.4.0.DR7


Note You need to log in before you can comment on or make changes to this bug.